This site has been archived and you can no longer log in or post new messages. For up-to-date community resources please visit ezplatform.com

eZ Community » Forums » Install & configuration » From 3.8 version till 5?
expandshrink

From 3.8 version till 5?

From 3.8 version till 5?

Monday 22 April 2013 12:27:34 am - 4 replies

Hi everyone!
I'm having a little problem with eZ Publish and I would like to take your advice about how to solve it.
Well, my site runs with a quite old eZ publish version (3.8.6) and I have to upgrade it till 5. My problem is that my server supports php version 5.2, so I can not install 3.9 version...
Thus here is my idea to solve the problem: Keep my database as it is now and erase everything else from the server and install from zero eZ Publish 5. Would that work fine?
My idea might be stupid, but I' m new in eZ Publish, so please help!
Thanks in advance
Thomaida

Monday 22 April 2013 9:08:26 am

Hello,

Keeping only database is not enough.. You have many sql script and many php script to run when you upgrafe ezpublish specialy < 4.3

If you would like to install old php version i recommand you to download old debian/linux version and process to an upgrade.. I will not lie to you, a migration between 3.x and 4.1 is complicated

 

So the goal is to upgrade 3.9 to 4.1, upgrade after that to 4.3 and you could find on doc.ez.no direct upgrade documentation to 4.7

After that you could migrate to 5.x

 

Cheers and good luck happy.gif Emoticon

Monday 22 April 2013 9:59:22 am

Take a look at this thread:

http://share.ez.no/forums/install...rade-at-the-same-time/%28show%29/all

Monday 22 April 2013 10:08:42 am

Also, the way I would do this these days is with virtual machines...

Monday 06 May 2013 11:14:40 am

The reply has been removed because of violation of forum rules.

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from